Subject: Re: bug#44129: Patch to improve valac version detection

From: Karl Berry <[email-masked]>
Date: Fri, 23 Oct 2020 07:51:30 -0600

$ valac --api-version
    0.48

Thanks Reuben. Unfortunately, when I install this patch, the
t/vala-configure.sh test fails for me with:

  configure: WARNING: Vala compiler not found or too old
  configure: WARNING: you will not be able to compile Vala source files

I'm using CentOS 7, which reports:
$ vala --version
Vala 0.40.8
$ valac --api-version
0.40

In any event, the test should not fail. It passed for me before the patch.
I hope you can look into this (and that it's easy)? --thanks, karl.